import machine
import utime
# Подключаем ИК-приемник к пину GPIO
ir_receiver = machine.Pin(14, machine.Pin.IN)
# Функция для чтения данных с ИК-приемника
def read():
    signal = []
    while True:
        if ir_receiver.value() == 1:
            start_time = utime.ticks_us()
            while ir_receiver.value() == 1:
                pass
            end_time = utime.ticks_us()
            signal.append(end_time - start_time)
        if len(signal) >= 32:  # Прочитано 32 бита сигнала
            #print("Received signal:", signal)
            break
        
    return signal