import ir, us, motors, time
from machine import Pin

line = Pin(26, Pin.IN)
led = Pin(28, Pin.OUT)
command = 0
motors.stop()
while command == 0:
    led.value(0)
    command = ir.read()
    pass
led.value(1)
while True:
    raw = []
    for i in range(10):
        raw.append(us.distance())
    s = sum(raw)/len(raw)
    print(s)
    if s > 50:
        print("left")
        motors.left()
        led.value(1)
        time.sleep(0.5)
    else:
        if line.value() == 1:
            print("forward")
            motors.forward()
            led.value(1)
            time.sleep(0.5)
        else:
            print("backward")
            motors.backward()
            time.sleep(2)
        
